kylin-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From shaofeng...@apache.org
Subject [22/50] [abbrv] incubator-kylin git commit: KYLIN-755 - extract copying libs from prepare.sh so that it can be reused
Date Fri, 15 May 2015 03:06:34 GMT
KYLIN-755 - extract copying libs from prepare.sh so that it can be reused


Project: http://git-wip-us.apache.org/repos/asf/incubator-kylin/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-kylin/commit/50c31c65
Tree: http://git-wip-us.apache.org/repos/asf/incubator-kylin/tree/50c31c65
Diff: http://git-wip-us.apache.org/repos/asf/incubator-kylin/diff/50c31c65

Branch: refs/heads/streaming-localdict
Commit: 50c31c6530b46d1e43c821bf46c5ab3b261bd11e
Parents: e349cda
Author: honma <honma@ebay.com>
Authored: Thu May 7 15:52:57 2015 +0800
Committer: honma <honma@ebay.com>
Committed: Thu May 7 15:52:57 2015 +0800

----------------------------------------------------------------------
 script/prepare.sh      | 13 +++----------
 script/prepare_libs.sh | 20 ++++++++++++++++++++
 2 files changed, 23 insertions(+), 10 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-kylin/blob/50c31c65/script/prepare.sh
----------------------------------------------------------------------
diff --git a/script/prepare.sh b/script/prepare.sh
index b38903b..3e00b25 100755
--- a/script/prepare.sh
+++ b/script/prepare.sh
@@ -9,19 +9,12 @@ then
     version=`mvn org.apache.maven.plugins:maven-help-plugin:2.1.1:evaluate -Dexpression=project.version
| grep -v '\['`
 fi
 echo "version ${version}"
+export version
+
+sh script/prepare_libs.sh || { exit 1; }
 
-echo "copy lib file"
-rm -rf lib
-mkdir lib
 cp server/target/kylin-server-${version}.war tomcat/webapps/kylin.war
-cp job/target/kylin-job-${version}-job.jar lib/kylin-job-${version}.jar
-cp storage/target/kylin-storage-${version}-coprocessor.jar lib/kylin-coprocessor-${version}.jar
-cp jdbc/target/kylin-jdbc-${version}.jar lib/kylin-jdbc-${version}.jar
-# Copied file becomes 000 for some env (e.g. my Cygwin)
 chmod 644 tomcat/webapps/kylin.war
-chmod 644 lib/kylin-job-${version}.jar
-chmod 644 lib/kylin-coprocessor-${version}.jar
-chmod 644 lib/kylin-jdbc-${version}.jar
 
 echo "add js css to war"
 if [ ! -d "webapp/dist" ]

http://git-wip-us.apache.org/repos/asf/incubator-kylin/blob/50c31c65/script/prepare_libs.sh
----------------------------------------------------------------------
diff --git a/script/prepare_libs.sh b/script/prepare_libs.sh
new file mode 100755
index 0000000..4f5454e
--- /dev/null
+++ b/script/prepare_libs.sh
@@ -0,0 +1,20 @@
+
+#!/bin/sh
+
+if [ -z "$version" ]
+then
+    echo 'version not set'
+    version=`mvn org.apache.maven.plugins:maven-help-plugin:2.1.1:evaluate -Dexpression=project.version
| grep -v '\['`
+fi
+echo "version ${version}"
+
+echo "copy lib file"
+rm -rf lib
+mkdir lib
+cp job/target/kylin-job-${version}-job.jar lib/kylin-job-${version}.jar
+cp storage/target/kylin-storage-${version}-coprocessor.jar lib/kylin-coprocessor-${version}.jar
+cp jdbc/target/kylin-jdbc-${version}.jar lib/kylin-jdbc-${version}.jar
+# Copied file becomes 000 for some env (e.g. my Cygwin)
+chmod 644 lib/kylin-job-${version}.jar
+chmod 644 lib/kylin-coprocessor-${version}.jar
+chmod 644 lib/kylin-jdbc-${version}.jar
\ No newline at end of file


Mime
View raw message